Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.io
Interface ModuleGenerator

All Known Subinterfaces:
  DelegatingModuleGenerator

All Known Implementing Classes:
  DCModuleGenerator, SyModuleGenerator

    public interface ModuleGenerator

Injects module metadata into a XML node (JDOM element).

ModuleGenerator instances must thread safe.

TODO: explain how developers can plugin their own implementations.

Author:
  Alejandro Abdelnur

Method Summary
`void` | `generate(Module module, org.jdom.Element element)` Generates and injects module metadata into an XML node (JDOM element).
`Set` | `getNamespaces()` Returns a set with all the URIs (JDOM Namespace elements) this module generator uses.
`String` | `getNamespaceUri()` Returns the namespace URI this generator handles.

Method Detail

### getNamespaceUri

    String getNamespaceUri()

  Returns the namespace URI this generator handles.

  Returns:
    the namespace URI.

### getNamespaces

    Set getNamespaces()

  Returns a set with all the URIs (JDOM Namespace elements) this module generator uses.

  It is used by the the feed generators to add their namespace definition in the root element of the generated document (forward-missing of Java 5.0 Generics).

  Returns:
    a set with all the URIs (JDOM Namespace elements) this module generator uses.

### generate

    void generate(Module module,
                  org.jdom.Element element)

  Generates and injects module metadata into an XML node (JDOM element).

  Parameters:
    `module` - the module to inject into the XML node (JDOM element).
    `element` - the XML node into which module meta-data will be injected.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.